Skip to main content
GET
/
wallets
/
{walletId}
/
staking
/
positions
Staking positions for a wallet
curl --request GET \
  --url https://api.anchorage-staging.com/v2/wallets/{walletId}/staking/positions \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "stakingPositionId": "9bc4c2ccba8192b64d41b46d1770abe9ddbb430b85de3fe73e1b4f21336bc48a",
      "assetType": "ETH",
      "stakedAmount": "32",
      "inactiveStakedAmount": "0",
      "status": "ACTIVE",
      "providerName": "Figment",
      "sourceAddress": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
      "withdrawalAddress": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
      "transactionId": "8696144cca28a634c05858d00e51191408498a7808a837fc4645b4b6997dde09"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

walletId
string
required

An ID uniquely identifying an Anchorage Digital wallet

Query Parameters

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100
transactionId
string

The transaction Id to filter the wallet positions

Response

Wallet positions info for the specified wallet

data
WalletPositionsDetails · object[]
required
page
Page · object
required

Pagination info